Skip to main content
PUT
Put workspace private network

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Body

application/json
provider
string
client_id
string
client_secret
string | null
tags
string[]
login_server
string
auth_key
string | null
accept_routes
boolean | null
accept_dns
boolean | null
enabled
boolean | null

Response

The GET shape.

private_network
object | null
required